> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> This API is used to create a new ABHA address for the user.



## OpenAPI

````yaml post /abdm/na/v1/registration/mobile/create-phr
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/na/v1/registration/mobile/create-phr:
    post:
      summary: Create
      description: This API is used to create a new ABHA address for the user.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRequestType2'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateResponseType2'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    CreateRequestType2:
      properties:
        abha_address:
          description: The ABHA address to be created for the user.
          type: string
        profile:
          $ref: '#/components/schemas/DetailsRequestType2'
          description: Profile details of the user.
        txn_id:
          description: Transaction ID received in the previous API response.
          type: string
      required:
        - txn_id
        - abha_address
        - profile
      type: object
    CreateResponseType2:
      properties:
        eka:
          $ref: '#/components/schemas/RegistrationEkaIds'
          description: Eka IDs, will be present if SkipState is abha_end
        profile:
          $ref: '#/components/schemas/ProfileResponse'
        refresh_token:
          description: Refresh token of the user, issued by abdm
          type:
            - 'null'
            - string
        skip_state:
          enum:
            - abha_end
            - confirm_mobile_otp
            - abha_select
            - abha_create
          type: string
        success:
          description: Indicates whether the API response is successful
          type: boolean
        token:
          description: Abha token of the user, issued by abdm
          type:
            - 'null'
            - string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    DetailsRequestType2:
      properties:
        address:
          description: Address of the user.
          examples:
            - 123, ABC Street
          type:
            - 'null'
            - string
        day_of_birth:
          description: Day of birth of the user.
          examples:
            - 1
          type: integer
        first_name:
          description: First name of the user.
          examples:
            - Shyam
          type: string
        gender:
          description: Gender of the user ('M' for male, 'F' for female, 'O' for other).
          enum:
            - M
            - F
            - O
          examples:
            - M
          type: string
        last_name:
          description: Last name of the user.
          examples:
            - Singh
          type:
            - 'null'
            - string
        middle_name:
          description: Middle name of the user.
          examples:
            - Kumar
          type:
            - 'null'
            - string
        month_of_birth:
          description: Month of birth of the user.
          examples:
            - 1
          type: integer
        pincode:
          description: Pincode of the user's address.
          examples:
            - '110001'
          type: string
        year_of_birth:
          description: Year of birth of the user.
          examples:
            - 1990
          type: integer
      required:
        - first_name
        - gender
        - year_of_birth
        - month_of_birth
        - day_of_birth
        - pincode
      type: object
    RegistrationEkaIds:
      properties:
        min_token:
          description: Minimum token required for authentication
          type: string
        oid:
          type:
            - 'null'
            - string
        uuid:
          type:
            - 'null'
            - string
      type: object
    ProfileResponse:
      properties:
        abha_address:
          description: Primary/preferred abha address.
          examples:
            - shyam@abdm
          type: string
        abha_addresses:
          description: List of abha addresses associated with aadhaar
          items:
            type: string
          type: array
        abha_number:
          description: ABHA number assigned to the user.
          examples:
            - 12-3456-7856-8912
          type:
            - 'null'
            - string
        address:
          description: Address of the user.
          type:
            - 'null'
            - string
        day_of_birth:
          description: Day of birth of the user.
          type:
            - 'null'
            - integer
        first_name:
          description: User's first name.
          type:
            - 'null'
            - string
        gender:
          description: Gender of the user (M - Male, F - Female, O - Other).
          enum:
            - M
            - F
            - O
          examples:
            - M
          type: string
        kyc_verified:
          description: Indicates whether the user’s KYC is verified.
          type:
            - 'null'
            - boolean
        last_name:
          description: User's last name.
          type:
            - 'null'
            - string
        middle_name:
          description: User's middle name.
          type:
            - 'null'
            - string
        mobile:
          description: Mobile number of the user.
          type:
            - 'null'
            - string
        month_of_birth:
          description: Month of birth of the user.
          type:
            - 'null'
            - integer
        pincode:
          description: Pincode of the user's address.
          type:
            - 'null'
            - string
        year_of_birth:
          description: Year of birth of the user.
          type:
            - 'null'
            - integer
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````